### Signal

# GtkSource Buffer::bracket-matched

#### Declaration

    void
    bracket_matched (
      GtkSourceBuffer* self,
      const GtkTextIter* iter,
      GtkSourceBracketMatchType state,
      gpointer user_data
    )

#### Description [src]

`iter` is set to a valid iterator pointing to the matching bracket if `state` is `GTK_SOURCE_BRACKET_MATCH_FOUND`. Otherwise `iter` is meaningless.

The signal is emitted only when the `state` changes, typically when the cursor moves.

A use-case for this signal is to show messages in a `GtkStatusbar`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  If found, the location of the matching bracket.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`state`

  Type: `GtkSourceBracketMatchType`

  State of bracket matching.